package com.dsic.gj_erp.bean.txzz;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;


/**
 * <p>
 * 物品基本表
 * </p>
 *
 * @author xhj
 * @since 2021-03-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="DmMateria对象", description="物品基本表")
public class DmMateria implements  Serializable {

    private static final long serialVersionUID=1L;

    @TableId(value = "mat_no", type = IdType.INPUT)
    @ApiModelProperty(value = "物品号")
    private String matNo;

    private String ylMatNo;//料卡用物品号/流程卡物品号
    private String txMatNo;//铁舾物品号


//    @TableField(exist = false)
//    // 原来的物品号  物品号是主键
//    private  String ymatNo;

    @ApiModelProperty(value = "物品名称")
    private String matName;

    @ApiModelProperty(value = "规格")
    private String matSpec;

    @ApiModelProperty(value = "物资编码一级分类")
    private String firstCateg;

    @ApiModelProperty(value = "物资编码二级分类")
    private String secondCateg;

    @ApiModelProperty(value = "型号/标准号")
    private String matVersion;

    @ApiModelProperty(value = "材质")
    private String matGrd;

    @ApiModelProperty(value = "使用类型4级分类")
    private String useCateg;
//    @Dict(dictTable ="dm_institution",dictText = "institution_name",dictCode = "institution_code")
    @ApiModelProperty(value = "仓库三级分类")
    private String institutionCode;

    @ApiModelProperty(value = "净重量")
    private BigDecimal jweight;

    @ApiModelProperty(value = "毛重量")
    private BigDecimal mweight;

    @ApiModelProperty(value = "密度")
    private BigDecimal density;

    @ApiModelProperty(value = "面积")
    private BigDecimal matArea;

    @ApiModelProperty(value = "面积2")
    private BigDecimal matArea1;

    @ApiModelProperty(value = "核算计量单位")
    private String hsUnit;

    @ApiModelProperty(value = "制造部计量单位")
    private String zzUnit;

    @ApiModelProperty(value = "采购计量单位")
    private String cgUnit;

    @ApiModelProperty(value = "物品级别")
    private String matLevel;

//    @Dict(dictCode = "WPLX")
    @ApiModelProperty(value = "物品分类")
    private String matCateg;

    @ApiModelProperty(value = "采购分管部门")
    private String cgDept;

    @ApiModelProperty(value = "分管采购员")
    private String cgRy;

    @ApiModelProperty(value = "业务主管部门1")
    private String mainDept1;

    @ApiModelProperty(value = "业务主管部门")
    private String mainDept;

    @ApiModelProperty(value = "订货周期")
    private Integer orderPeriod;

    @ApiModelProperty(value = "领用周期")
    private Integer usePeriod;

    @ApiModelProperty(value = "采购常用标识")
    private String cgFlag;

    @ApiModelProperty(value = "tx标识")
    private Integer txFlag;

    @ApiModelProperty(value = "gj标识")
    private Integer gjFlag;

    @ApiModelProperty(value = "dy标识")
    private Integer dyFlag;

    @ApiModelProperty(value = "t1")
    private BigDecimal t1;

    private BigDecimal t2;

    private BigDecimal b1;

    private String b2;

    @ApiModelProperty(value = "开工日期")
    private String l;

    @ApiModelProperty(value = "工艺备注")
    private String craftRemark;

    @ApiModelProperty(value = "面积公式")
    private String areaFormula;

    @ApiModelProperty(value = "体积公式")
    private String volumeFormula;

    @ApiModelProperty(value = "依据1")
    private String gist1;

    @ApiModelProperty(value = "依据2")
    private String gist2;

    @ApiModelProperty(value = "材料来处")
    private String matFrom;

    @ApiModelProperty(value = "零件来处")
    private String piecesFrom;

    @ApiModelProperty(value = "所属部门")
    private String departCode;

    @ApiModelProperty(value = "abc分类")
    private String abcCateg;

    @ApiModelProperty(value = "工艺识别号")
    private String craftIdentifyNo;

    @ApiModelProperty(value = "用户分类码")
    private String usertypeStatus;

    @ApiModelProperty(value = "使用状态")
    private String useStatus;

    private String bzry;

    private String bzrq;

    private String tjry;

    private String tjrq;

    private String spry;

    @ApiModelProperty(value = "审批日期")
    private String sprq;

    @ApiModelProperty(value = "油漆稀释剂")
    private String tmatCode;

    @ApiModelProperty(value = "消耗率")
    private BigDecimal consumeRate;

    @ApiModelProperty(value = "固体含量")
    private BigDecimal svt;

    @ApiModelProperty(value = "油漆厂家")
    private String factory;

    @ApiModelProperty(value = "定额焊丝kg")
    private BigDecimal fixedWire;

    @ApiModelProperty(value = "焊点数量")
    private Integer weldngNum;

    @ApiModelProperty(value = "坡口数量")
    private Integer grooveNum;

    @ApiModelProperty(value = "翻口数量")
    private Integer turnNum;
    // 喷嘴
    private String nozzleModel;

    @ApiModelProperty(value = "混合使用期~r~nh/20℃")
    private BigDecimal blendUse;

    @ApiModelProperty(value = "稀释剂消耗率")
    private BigDecimal tmatConsumeRate;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "焊材重量")
    private  BigDecimal hczl;
    //工艺类别（油漆使用）
    private String gylb;

    // 使用方式（在基础数据中导入附件信息 添加） gjjbs
    private String useType;
    // 安全库存（在基础数据中导入附件信息 添加）
    private BigDecimal safekc;
    // 最大库存（在基础数据中导入附件信息 添加）
    private BigDecimal maxkc;

    // 客户材料编码 在基础数据中导入附件信息 添加）
    private String itemBm;


    //购置类型
    private String gzlx;

    //附件级别
    private String fjjb;

    //  1,2,3,3
    private String project;
}
