package com.dsic.gj_erp.controller.pgd;


import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.dsic.gj_erp.annotation.AuthFunction;
import com.dsic.gj_erp.bean.ResultBean;
import com.dsic.gj_erp.bean.pgd.PgdDh;
import com.dsic.gj_erp.exception.CustomException;
import com.dsic.gj_erp.service.pgd.PgdDhService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author xn
 * @since 2023-11-13
 */
@RestController
@RequestMapping("/pgdDh")
public class PgdDhController {

    @Autowired
    PgdDhService dhService;

    @PostMapping("/getDhPgd")
    @ResponseBody
    public ResultBean getDhPgd(HttpServletRequest req, @RequestBody Map map) throws Exception, CustomException {
        QueryWrapper <PgdDh> qw =new QueryWrapper<>();


        qw.eq(StrUtil.isNotEmpty((String)map.get("dcch")),"czbh",(String)map.get("dcch"));
        qw.eq(StrUtil.isNotEmpty((String)map.get("pl")),"pl",(String)map.get("pl"));
        qw.eq(StrUtil.isNotEmpty((String)map.get("fd")),"fd",(String)map.get("fd"));
        qw.eq(StrUtil.isNotEmpty((String)map.get("zt")),"zt",(String)map.get("zt"));
        qw.orderBy(true,true,"czbh","pl","fd");
        return new ResultBean(dhService.list(qw));

    }

    @PostMapping("/saveDhPgdXd")
    @ResponseBody
    @AuthFunction
    public ResultBean saveDhPgdXd(HttpServletRequest req, @RequestBody List<PgdDh> list) throws Exception, CustomException {
        dhService.saveDhPgdXd(list,req);
        return new ResultBean();
    }

    @PostMapping("/saveDhPgdXdBack")
    @ResponseBody
    @AuthFunction
    public ResultBean saveDhPgdXdBack(HttpServletRequest req, @RequestBody List<PgdDh>list) throws Exception, CustomException {
        dhService.saveDhPgdXdBack(list,req);
        return new ResultBean();
    }



    @PostMapping("/saveDhPgdFk")
    @ResponseBody
    @AuthFunction
    public ResultBean saveDhPgdFk(HttpServletRequest req, @RequestBody List<PgdDh>list) throws Exception, CustomException {
        dhService.saveDhPgdFk(list,req);
        return new ResultBean();
    }

}

