package com.dsic.gj_erp.service.pgd.impl;

import cn.hutool.core.date.DateUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dsic.gj_erp.bean.pgd.PgdDh;
import com.dsic.gj_erp.mapper.pgd.PgdDhMapper;
import com.dsic.gj_erp.service.pgd.PgdDhService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.servlet.http.HttpServletRequest;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author xn
 * @since 2023-11-13
 */
@Service
public class PgdDhServiceImpl extends ServiceImpl<PgdDhMapper, PgdDh> implements PgdDhService {
    @Transactional(rollbackFor = Exception.class)
    @Override
    public void saveDhPgdXd(List<PgdDh> pgdDhs, HttpServletRequest request) {
        List<PgdDh>ups= new ArrayList<>();
        pgdDhs.forEach(f->{
            PgdDh e= new PgdDh();
            e.setXfry((String) request.getAttribute("yhms"));
            e.setXfrq(DateUtil.format(DateUtil.date(), "yyyy/MM/dd HH:mm:ss"));
            e.setZt("02");
            e.setId(f.getId());
            ups.add(e);
        });
        this.updateBatchById(ups);
    }
    @Transactional(rollbackFor = Exception.class)
    @Override
    public void saveDhPgdFk(List<PgdDh> pgdDhs, HttpServletRequest request) {
        List<PgdDh>ups= new ArrayList<>();
        pgdDhs.forEach(f->{
            PgdDh e= new PgdDh();
            e.setFkry((String) request.getAttribute("yhms"));
            e.setFkrq(DateUtil.format(DateUtil.date(), "yyyy/MM/dd HH:mm:ss"));
            e.setZt("09");
            e.setFkyy(f.getFkyy());
            e.setId(f.getId());
            ups.add(e);
        });
        this.updateBatchById(ups);
    }
    @Transactional(rollbackFor = Exception.class)
    @Override
    public void saveDhPgdXdBack(List<PgdDh> pgdDhs, HttpServletRequest request) {
        List<PgdDh>ups= new ArrayList<>();
        pgdDhs.forEach(f->{
            PgdDh e= new PgdDh();
            e.setXfry((String) request.getAttribute("yhms"));
            e.setXfrq(DateUtil.format(DateUtil.date(), "yyyy/MM/dd HH:mm:ss"));
            if(f.getZt().equals("02")){
                e.setZt("01");
            }
            e.setId(f.getId());
            ups.add(e);
        });
        this.updateBatchById(ups);
    }
}
